# 32/64-bit spec-file
#
Name: netprofile
Summary: Manage network profiles
Version: 0.26.1
Release: %mkrel 3
Source: %{name}-%{version}.tar.bz2
License: GPLv2+
Group: System/Base
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: diffutils
URL: http://git.mandriva.com/?p=projects/netprofile.git

%description
Netprofile is a Mandriva/PCLinuxOS solution to manage different network profile. It
allows to define specific network, firewall and proxy configuration to use in
different network environment (for example, at home, at work or while roaming),
and also provides a way for user to switch those profiles on the fly.

%prep

%setup -q

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std INITDIR=%_initrddir

%clean
rm -rf $RPM_BUILD_ROOT

%post
rm -rf /etc/netprofile/profiles/default/urpmi
# checking for old netprofile files
if [ -f /etc/netprofile/list ]; then
        # upgrading from old netprofile
        echo "Upgrading from old netprofile. Your old profiles are saved in /etc/netprofile.rpmsave"
        # temporarily, save old files. This will be removed on newer versions.
        mkdir /etc/netprofile.rpmsave && cp -a /etc/netprofile/list /etc/netprofile/profiles /etc/netprofile.rpmsave
        rm -rf /etc/netprofile/profiles/*/
        # creating new default profile
        /sbin/netprofile switch default
fi

if [ ! -d /etc/netprofile/profiles/default ]; then
  /sbin/set-netprofile default
fi

%files
%defattr(-,root,root) 
%doc ChangeLog TODO README NEWS
/sbin/*
%dir /etc/netprofile
%dir /etc/netprofile/profiles
%dir /etc/netprofile/modules
%attr(0755,root,root) /etc/netprofile/modules/*
/etc/bash_completion.d/netprofile
/etc/sysconfig/network-scripts/ifup.d/netprofile
%exclude /etc/netprofile/modules/04_urpmi


%changelog
* Sat May 18 2013 pinoc <vogtpet at gmail.com> 0.26.1-3pclos2013
- removed urpmi references

* Sat Mar 27 2010 Texstar <texstar at gmail.com> 0.26.1-2pclos2010
- fix description

* Wed Jan 13 2010 Texstar <texstar at gmail.com> 0.26.1-1pclos2010
- import into pclos from mdv

